%global npmname ws
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist tinycolor options commander

Summary: websocket client, server and console for node.js
Name: nodejs-%{npmname}
Version: 0.4.22
Release: 4%{?dist}
Group: Development/Languages
License: MIT
URL: https://github.com/einaros/ws
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
Patch0: %{name}-0.4.22-arbitrary-headers.patch
BuildRequires: python
BuildRequires: nodejs
BuildRequires: nodejs-node-gyp
BuildRequires: nodejs-tinycolor
BuildRequires: nodejs-options
BuildRequires: nodejs-commander >= 0.6
Requires: nodejs
Requires: nodejs-tinycolor
Requires: nodejs-options
Requires: nodejs-commander >= 0.6
Provides: nodejs-%{npmname} = %{version}

%description
simple to use, blazing fast and thoroughly tested 
websocket client, server and console for node.js, 
up-to-date against RFC-6455

%prep
%setup -q -n package
%patch0 -p1

# Setup .node-gyp
mkdir -p $HOME/.node-gyp/`node -v | tr -d v`
cd $HOME/.node-gyp/`node -v | tr -d v`
echo 9 > installVersion
ln -s /usr/lib/node_modules/node-gyp/legacy/common.gypi .
ln -s /usr/lib/node_modules/node-gyp/legacy/tools/ .
ln -s /usr/include/node/ src
ln -s /usr/include/node/ deps
cd -

# Setup the dependancies
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

%build
# Run the scripts (except test scripts)
node install.js

%install
# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr bin bench binding.gyp build index.js install.js lib node_modules .npmignore package.json src .travis.yml %{buildroot}/%{npminstdir}

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{npminstdir}/bin/wscat %{buildroot}%{_bindir}/wscat

# Cleanup .node-gyp
rm -rf $HOME/.node-gyp

%files
%doc History.md README.md examples doc
%{npminstdir}
%{_bindir}/wscat

%changelog
* Mon Mar 04 2013 Troy Dawson <tdawson@redhat.com> - 0.4.22-4
- Patch to use arbitrary headers (#905647)

* Fri Nov 16 2012 Troy Dawson <tdawson@redhat.com> - 0.4.22-3
- Fix for building native modules

* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.4.22-1
- Initial build using tchor spec template

